# OpalVideoPictureLoss Class Reference

`#include <vidcodec.h>`

Inheritance diagram for OpalVideoPictureLoss:

[legend]
Collaboration diagram for OpalVideoPictureLoss:
[legend]

## Public Member Functions

| OpalVideoPictureLoss (unsigned sequenceNumber=0, unsigned timestamp=0)
virtual PString | GetName () const
unsigned | GetSequenceNumber () const
unsigned | GetTimestamp () const

## Protected Attributes

unsigned | m_sequenceNumber
unsigned | m_timestamp

## Detailed Description

This indicates that the remote has had a picture loss and that a video picture update is desired, that is an Intra or Key frame should be sent, however, the sender can opt due to say bandwidth constraints not to do so and suffer with the corrupted video.

## Constructor & Destructor Documentation

OpalVideoPictureLoss::OpalVideoPictureLoss | ( | unsigned | sequenceNumber = `0`,
|  | unsigned | timestamp = `0` |
| ) |  |  |

## Member Function Documentation

virtual PString OpalVideoPictureLoss::GetName | ( |  | ) | const`[virtual]`

Get the name of the command.

Reimplemented from OpalVideoUpdatePicture.

unsigned OpalVideoPictureLoss::GetSequenceNumber | ( |  | ) | const`[inline]`

unsigned OpalVideoPictureLoss::GetTimestamp | ( |  | ) | const`[inline]`

## Field Documentation

unsigned OpalVideoPictureLoss::m_sequenceNumber `[protected]`

unsigned OpalVideoPictureLoss::m_timestamp `[protected]`

The documentation for this class was generated from the following file:

- vidcodec.h